#         Linux install Makefile for GNOME plextor-tool-applet
#
#               Copyright (c) 1999-2002 Georg Hüttenegger
#
# This Makefile just has an install and an uninstall Target
# If you want the tool to be installed in another location than
# /usr/sbin adjust the prefix variable below

VERSION=0.5.0
PREFIX=/usr
CORBAPREFIX=/etc
FILES=plextor-tool-applet\
	plextor-tool-applet.desktop\
	properties-0.html\
	plextor-tool-applet.gnorba\
	COPYING\
	README\
	NEWS

BINDIR=$(PREFIX)/sbin
APPLETDIR=$(PREFIX)/share/applets/Utility
GNOMEOUTERDOCDIR=$(PREFIX)/share/gnome/help/plextor-tool-applet
GNOMEDOCDIR=$(GNOMEOUTERDOCDIR)/C
CORBADIR=$(CORBAPREFIX)/CORBA/servers
DOCDIR=$(PREFIX)/share/doc/plextor-tool-applet-$(VERSION)

install: $(FILES)
	install -g root -o root -D plextor-tool-applet $(BINDIR)/plextor-tool-applet
	install -D plextor-tool-applet.desktop $(APPLETDIR)/plextor-tool-applet.desktop
	install -D properties-0.html $(GNOMEDOCDIR)/properties-0.html
	install -D plextor-tool-applet.gnorba $(CORBADIR)/plextor-tool-applet.gnorba
	install -d $(DOCDIR)
	install COPYING README NEWS $(DOCDIR)

uninstall:
	rm -f $(BINDIR)/plextor-tool-applet
	rm -f $(APPLETDIR)/plextor-tool-applet.desktop
	rm -f $(GNOMEDOCDIR)/properties-0.html
	rm -f $(CORBADIR)/plextor-tool-applet.gnorba
	rm -f $(DOCDIR)/COPYING $(DOCDIR)/README $(DOCDIR)/NEWS
	rmdir --ignore-fail-on-non-empty $(BINDIR) $(APPLETDIR)
	rmdir --ignore-fail-on-non-empty $(GNOMEDOCDIR) $(GNOMEOUTERDOCDIR)
	rmdir --ignore-fail-on-non-empty $(CORBADIR) $(DOCDIR)

